%global momorel 2
%global realver 1.66

%{!?perl_vendorarch: %define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)}

Summary: XML-LibXML Perl module
Name: perl-XML-LibXML
Epoch: 1
Version: 1.66
Release: %{momorel}m%{?dist}
License: GPL or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/dist/XML-LibXML/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: perl >= 2:5.8.0
Requires: %(perl -MConfig -le 'if (defined $Config{useithreads}) { print "perl(:WITH_ITHREADS)" } else { print "perl(:WITHOUT_ITHREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{usethreads}) { print "perl(:WITH_THREADS)" } else { print "perl(:WITHOUT_THREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{uselargefiles}) { print "perl(:WITH_LARGEFILES)" } else { print "perl(:WITHOUT_LARGEFILES)" }')
Requires: perl(:MODULE_COMPAT_%(perl -MConfig -e 'print $Config{version}'))
Source0: http://www.cpan.org/modules/by-module/XML/XML-LibXML-%{version}.tar.gz
NoSource: 0
BuildRequires: perl-XML-LibXML-Common perl-XML-SAX perl-XML-NamespaceSupport
BuildRequires: libxml2-devel
Requires: perl-XML-LibXML-Common perl-XML-SAX perl-XML-NamespaceSupport

%description
%{summary}.

%prep
%setup -q -n XML-LibXML-%{realver}

%build
CFLAGS="$RPM_OPT_FLAGS" SKIP_SAX_INSTALL=1 perl Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install \
  PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_archlib}
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check || :


%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- perl-XML-SAX
for p in XML::LibXML::SAX::Parser XML::LibXML::SAX ; do
  perl -MXML::SAX -e "XML::SAX->add_parser(q($p))->save_parsers()" || :
done

%preun
if [ $1 -eq 0 ] ; then
  for p in XML::LibXML::SAX::Parser XML::LibXML::SAX ; do
    perl -MXML::SAX -e "XML::SAX->remove_parser(q($p))->save_parsers()" \
      2>/dev/null || :
  done
fi

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorarch}/auto/XML
%{perl_vendorarch}/XML
%{_mandir}/man3/*.3*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.66-2m)
- rebuild against gcc43

* Thu Jan 31 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.66-1m)
- update to 1.66

* Fri Nov  2 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.65-2m)
- reactive Epoch for backword compatibillity

* Wed Sep 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.65-1m)
- update to 1.65

* Tue Sep 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.64-2m)
- remove Epoch

* Mon Sep 10 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.64-1m)
- update to 1.64
- do not use %%NoSource macro

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.63-3m)
- use vendor

* Fri Apr 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.63-2m)
- set Epoch: 1 for yum

* Thu Apr 19 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.63-1m)
- update to 1.63

* Tue Dec  5 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.62001-1m)
- update to 1.62001

* Sun Nov 19 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.62-1m)
- update to 1.62

* Tue Sep 26 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.61003-1m)
- update 1.61003

* Fri Sep  1 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.60-1m)
- update to 1.60

* Thu Aug 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.59-2m)
- modify install dir

* Sun Aug  6 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.59-1m)
- update to 1.59

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.1.1-2m)
- built against perl-5.8.8

* Wed Feb  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.1.1-1m)
- import from FC.

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Sat Mar 19 2005 Joe Orton <jorton@redhat.com> 1.58-2
- rebuild

* Sun Apr 18 2004 Ville Skyttä <ville.skytta at iki.fi> - 1.58-1
- #121168
- Update to 1.58.
- Require perl(:MODULE_COMPAT_*).
- Handle ParserDetails.ini parser registration.
- BuildRequires libxml2-devel.
- Own installed directories.

* Fri Feb 27 2004 Chip Turner <cturner@redhat.com> - 1.56-1
- Specfile autogenerated.
